> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v3groupsrule definitions 1



## OpenAPI

````yaml get /v3/groups/rule-definitions/{ruleDefinition}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/groups/rule-definitions/{ruleDefinition}:
    get:
      tags:
        - Group Rule Definition
      operationId: groups.rule-definitions.show
      parameters:
        - name: ruleDefinition
          in: path
          required: true
          description: The rule definition ID
          schema:
            type: integer
      responses:
        '200':
          description: '`GroupRuleDefinition`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/GroupRuleDefinition'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    GroupRuleDefinition:
      type: object
      properties:
        id:
          type: integer
        handle:
          type: string
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        evaluator:
          type: string
        rule:
          type: array
          items: {}
        default_arguments:
          type:
            - array
            - 'null'
          items: {}
        context_requirements:
          type:
            - array
            - 'null'
          items: {}
        meta:
          type:
            - array
            - 'null'
          items: {}
        is_active:
          type: boolean
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - handle
        - name
        - description
        - evaluator
        - rule
        - default_arguments
        - context_requirements
        - meta
        - is_active
        - created_at
        - updated_at
      title: GroupRuleDefinition
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````